Page MenuHomePhabricator

Section edit links on file pages for Commons images don't work
Closed, ResolvedPublic

Description

Hi, as with this image which does not have a local description that can be edited. One must push 'View on Wikimedia Commons' and then click Edit. However, Wikipedia (en) still shows the edit source button under each subsection. When clicking the button, it creates a new page but since I have visual editor enabled it is difficult to see where the source code must be entered. Either disable the button in the beta version or make it a bit more obvious where to start typing?

Event Timeline

Waddie96 created this task.Apr 28 2018, 2:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2018, 2:35 PM
Esanders renamed this task from Viewing a local Wiki file that is on Commons shouldn't show 'edit source' under every subsection to Section edit links on file pages for Commons images don't work.Apr 29 2018, 9:45 PM
Esanders added a subscriber: Esanders.

These should just work correctly. The links' hrefs are correct, so ctrl+clicking the links works, but we need to disable the JS behaviour, as we can't load the commons editor on a local site.

Esanders updated the task description. (Show Details)Apr 30 2018, 9:33 AM

Change 429757 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Check link 'host' in onEditSectionLinkClick

https://gerrit.wikimedia.org/r/429757

Esanders claimed this task.Apr 30 2018, 9:58 AM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 429757 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Check link 'host' in onEditSectionLinkClick

https://gerrit.wikimedia.org/r/429757

Deskana closed this task as Resolved.May 14 2018, 10:12 AM
Vvjjkkii renamed this task from Section edit links on file pages for Commons images don't work to 80daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 80daaaaaaa to Section edit links on file pages for Commons images don't work.Jul 2 2018, 4:34 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.